#!/bin/bash
set -eu

#old version (Kernel issue)
# #Some cleanup
# rm -rf install valgrind-3.10.0
# mkdir install


# #Download from ISSM server
# # $ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.10.0.tar.bz2' 'valgrind-3.10.0.tar.bz2'

# #Untar 
# tar -jxvf  valgrind-3.10.0.tar.bz2

# #Move valgrind into install directory
# mv valgrind-3.10.0/* install
# rm -rf valgrind-3.10.0

# #configure
# cd install
# ./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install"

# #Compile valgrind
# make  -j 4
# make install

# #final thing: if mpi is compiled in, soft link its target to a simpler name
# cd lib
# ln -s valgrind/libmpiwrap-*  ./libmpidebug.so

#New way cloned on mac

#Some cleanup
rm -rf install

#Download development version, the current release never supports the latest OS X releases
svn co svn://svn.valgrind.org/valgrind/trunk install

#configure
cd install
./autogen.sh
./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only64bit

#Compile valgrind

make  -j 8
make install
